Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.utils.graphics
Class LoadDialog

    java.lang.Object
      madkit.utils.graphics.LoadDialog

    public class LoadDialog

extends java.lang.Object

Field Summary
`static boolean` | `LOAD`
`static boolean` | `SAVE`

Constructor Summary
`LoadDialog(java.awt.Component comp, boolean direction, java.lang.String title)`
`LoadDialog(java.awt.Component comp, boolean direction, java.lang.String title, java.lang.String extens)`
`LoadDialog(java.awt.Component comp, java.lang.String initdir, boolean direction, java.lang.String title, java.lang.String extens)`

Method Summary
`java.lang.String` | `getDirName()`
`boolean` | `getFileDialog(java.awt.Component comp, boolean direction, java.lang.String title, java.lang.String extens)`
`boolean` | `getFileDialog(java.awt.Component comp, java.lang.String initdir, boolean direction, java.lang.String title, java.lang.String extens)`
`java.lang.String` | `getFileName()`
`java.io.File` | `getSelectedFile()`
`boolean` | `isFileChoosed()`
`void` | `setDirName(java.lang.String s)`
`void` | `setFileName(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOAD

    public static final boolean LOAD

See Also:
  Constant Field Values

### SAVE

    public static final boolean SAVE

See Also:
  Constant Field Values

Constructor Detail

### LoadDialog

    public LoadDialog(java.awt.Component comp,
                      boolean direction,
                      java.lang.String title)

### LoadDialog

    public LoadDialog(java.awt.Component comp,
                      boolean direction,
                      java.lang.String title,
                      java.lang.String extens)

### LoadDialog

    public LoadDialog(java.awt.Component comp,
                      java.lang.String initdir,
                      boolean direction,
                      java.lang.String title,
                      java.lang.String extens)

Method Detail

### getDirName

    public java.lang.String getDirName()

### setDirName

    public void setDirName(java.lang.String s)

### getFileName

    public java.lang.String getFileName()

### setFileName

    public void setFileName(java.lang.String s)

### getSelectedFile

    public java.io.File getSelectedFile()

### isFileChoosed

    public boolean isFileChoosed()

### getFileDialog

    public boolean getFileDialog(java.awt.Component comp,
                                 boolean direction,
                                 java.lang.String title,
                                 java.lang.String extens)

### getFileDialog

    public boolean getFileDialog(java.awt.Component comp,
                                 java.lang.String initdir,
                                 boolean direction,
                                 java.lang.String title,
                                 java.lang.String extens)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.